#pragma once
#include "Expression.h"

class ExpressionFactory
{
public:
	ExpressionFactory();
	~ExpressionFactory(void);
    static Expression *parse(std::string expression);
private:
    static bool isNumeric(std::string token);
    static bool isAlpha(std::string token);
};

